using System;
using System.Xml;
using System.Xml.XPath;
using System.Globalization;

class XPathNavigatorDemo
{
	public const decimal DISCOUNT = (decimal) 0.20;

	static void Main()
	{
		XmlDocument xmlDoc = new XmlDocument();
		xmlDoc.Load("../../../xml-files/items.xml");

		CultureInfo numberFormat = new CultureInfo("en-US");

		XPathNavigator nav = xmlDoc.CreateNavigator();
		string xPathQuery = "/items/item[@type='beer']/price";
		XPathNodeIterator iter = nav.Select(xPathQuery);

		while (iter.MoveNext())
		{
			XPathNavigator currentNode = iter.Current;
			XmlNode xmlNode = ((IHasXmlNode) currentNode).GetNode();
			string priceStr = xmlNode.InnerText;
			decimal price = Decimal.Parse(priceStr, numberFormat);
			price = price * (1 - DISCOUNT);
			xmlNode.InnerText = price.ToString(numberFormat);
		}

		xmlDoc.Save("itemsNew.xml");
	}
}